Extend an issue exception expiration date
https://app.fossa.com/api/v2/issues/exceptions/{id}Updates the expiration date for an existing issue exception. Pass null to set the exception to never expire (unset the expiration date). Requires premium subscription.
Path parameters
idintegerrequiredID of the issue exception to extend
Request body (required) · application/json
expiresAfterstring <date>requiredExpiration date in YYYY-MM-DD format, or null to never expire
Responses
204Exception expiration successfully updated400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not FounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/v2/issues/exceptions/1curl --request PUT \ --url 'https://app.fossa.com/api/v2/issues/exceptions/1' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "expiresAfter": "2025-12-31"}'Real request. Mutating methods can change data.
Path params
idintegerrequiredID of the issue exception to extend